# Steel Donut Collection

Steel Donut Collection is a simple web app that will take videos downloaded using youtube-dl/yt-dlp from an S3 bucket and make them watchable. This was created as a way to have our own Steel Donut Collective repository at home, just in case their YouTube channel ever goes down after they disbanded. (insert sad emoji here)

It will also work with other YouTube videos, I'm told, but I didn't test that.

## Downloading videos

I used the following command to download the videos from the SDC channel:

```
yt-dlp --write-info-json --write-description --write-annotations --all-subs --write-thumbnail -f best --format mp4 https://www.youtube.com/c/SteelDonutCollective/videos
```

I just uploaded the resulting files to a Minio (S3 compatible) bucket.

## Setting up application

The easiest way to get started is copying the provided "settings.dist.ini" to "settings.ini" and setting the required values therein. Then run `./manage.py migrate` to set up the sqlite3 database and you are good to go.

## Importing videos

Once you have the database set up, you can run `./manage.py importvideos` to automatically import videos from the S3 storage.